Package org.eclipse.mat.snapshot

## Class MultipleSnapshotsException.Context

- java.lang.Object
- - org.eclipse.mat.snapshot.MultipleSnapshotsException.Context

All Implemented Interfaces:
  `java.io.Serializable`

Enclosing class:
  MultipleSnapshotsException

    public static class MultipleSnapshotsException.Context
    extends java.lang.Object
    implements java.io.Serializable

Experimental - the form and name of this class is subject to change

See Also:
  Serialized Form

### Constructor Summary

Constructors
`Context​(java.lang.String runtimeId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addOption​(java.lang.String optionString)`
`java.lang.String` `getDescription()`
`java.util.List<java.lang.String>` `getOptions()`
`java.lang.String` `getRuntimeId()`
`java.lang.String` `getVersion()`
`void` `setDescription​(java.lang.String description)`
`void` `setRuntimeId​(java.lang.String runtimeId)`
`void` `setVersion​(java.lang.String version)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Context

    public Context​(java.lang.String runtimeId)

### Method Detail

#### getRuntimeId

    public java.lang.String getRuntimeId()

#### setRuntimeId

    public void setRuntimeId​(java.lang.String runtimeId)

#### getVersion

    public java.lang.String getVersion()

#### setVersion

    public void setVersion​(java.lang.String version)

#### addOption

    public void addOption​(java.lang.String optionString)

#### getOptions

    public java.util.List<java.lang.String> getOptions()

#### getDescription

    public java.lang.String getDescription()

#### setDescription

    public void setDescription​(java.lang.String description)